
.fonty {
  font-family: "Libre Baskerville", cursive;
  font-optical-sizing: auto;
  font-weight:600;
  font-style: normal;
  text-shadow: 2px 2px 4px rgba(1, 0, 0, 0.4)
}

.body {
    size:800px;
    align-self: center;
    
}

.font {
    color:black;
}

.gradient-background {
    background: linear-gradient(300deg, #d4941c, #df8ae2, #dd9b21);
    background-size: 150% 150%;
    animation: gradient-animation 10s ease infinite;
  }

  .carousel-item {
    max-height: 100%; /* Set a maximum height for the carousel items */
    width: 100%; /* Ensure the carousel items fill the entire width of the carousel */
  }
  
  .carousel-image {
    max-width: calc(100% - 20px); /* Subtract the border width from the maximum width */
    max-height: calc(100% - 20px); /* Subtract the border width from the maximum height */
    display: flex; /* Use flexbox to center the image vertically and horizontally */
    align-items: center;
    justify-content: center;
    border: 10px solid black; /* Add a black border around the image */
    box-sizing: border-box; /* Ensure that the border width is included in the total width/height */
  }
  
  .carousel-image img {
    max-width: 100%;
    max-height: 100%;
    width: auto; /* Ensure the image width adjusts proportionally */
    height: auto; /* Ensure the image height adjusts proportionally */
    display: block; /* Ensure proper block-level display for the image */
  }

  .rounded-item {
    border-radius: 10px; /* Set a border radius of 10px */
  }
/*--------------------------------------------------------------
# Contact Section
--------------------------------------------------------------*/
.contact .info-item+.info-item {
  margin-top: 40px;
}

.contact .info-item i {
  font-size: 20px;
  color: var(--color-primary);
  float: left;
  width: 44px;
  height: 44px;
  background: #222425;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50px;
  transition: all 0.3s ease-in-out;
  margin-right: 15px;
}

.contact .info-item h4 {
  padding: 0;
  font-size: 20px;
  font-weight: 600;
  margin-bottom: 5px;
  color: rgba(255, 255, 255, 0.5);
}

.contact .info-item p {
  padding: 0;
  margin-bottom: 0;
  font-size: 14px;
  color: #fff;
}

.contact .info-item:hover i {
  background: var(--color-primary);
  color: #fff;
}

.contact .php-email-form {
  width: 100%;
}

.contact .php-email-form .form-group {
  padding-bottom: 8px;
}

.contact .php-email-form .error-message {
  display: none;
  color: #fff;
  background: #df1529;
  text-align: left;
  padding: 15px;
  font-weight: 600;
}

.contact .php-email-form .error-message br+br {
  margin-top: 25px;
}

.contact .php-email-form .sent-message {
  display: none;
  color: #fff;
  background: var(--color-primary);
  text-align: center;
  padding: 15px;
  font-weight: 600;
}

.contact .php-email-form .loading {
  display: none;
  background: var(--color-secondary);
  text-align: center;
  padding: 15px;
  color: rgba(255, 255, 255, 0.6);
}

.contact .php-email-form .loading:before {
  content: "";
  display: inline-block;
  border-radius: 50%;
  width: 24px;
  height: 24px;
  margin: 0 10px -6px 0;
  border: 3px solid var(--color-primary);
  border-top-color: var(--color-secondary);
  animation: animate-loading 1s linear infinite;
}

.contact .php-email-form input,
.contact .php-email-form textarea {
  border-radius: 4px;
  box-shadow: none;
  font-size: 14px;
  background-color: var(--color-secondary);
  border: 1px solid #2e3133;
  color: #fff;
}

.contact .php-email-form input {
  height: 44px;
}

.contact .php-email-form textarea {
  padding: 10px 12px;
}

.contact .php-email-form button[type=submit] {
  background: var(--color-primary);
  border: 0;
  padding: 10px 35px;
  color: #fff;
  transition: 0.4s;
  border-radius: 4px;
}

.contact .php-email-form button[type=submit]:hover {
  background: rgba(39, 167, 118, 0.8);
}

a {
  color: inherit !important; /* Use the color inherited from the parent element */
  text-decoration: none !important; /* Remove underlining */
}

/* Target links on hover */
a:hover {
  text-decoration: underline !important; /* Add underlining on hover (if desired) */
}


/*--------------------------------------------------------------
# Preloader
--------------------------------------------------------------*/
#preloader {
  display: flex;
  position: fixed;
  inset: 0;
  width: 100%;
  height: 100vh;
  z-index: 99999;
}

#preloader:before,
#preloader:after {
  content: "";
  background-color: var(--color-secondary);
  position: absolute;
  inset: 0;
  width: 50%;
  height: 100%;
  transition: all 0.3s ease 0s;
  z-index: -1;
}

#preloader:after {
  left: auto;
  right: 0;
}

#preloader .line {
  position: relative;
  overflow: hidden;
  margin: auto;
  width: 1px;
  height: 280px;
  transition: all 0.8s ease 0s;
}

#preloader .line:before {
  content: "";
  position: absolute;
  background-color: #fff;
  left: 0;
  top: 50%;
  width: 1px;
  height: 0%;
  transform: translateY(-50%);
  animation: lineincrease 1000ms ease-in-out 0s forwards;
}

#preloader .line:after {
  content: "";
  position: absolute;
  background-color: #999;
  left: 0;
  top: 0;
  width: 1px;
  height: 100%;
  transform: translateY(-100%);
  animation: linemove 1200ms linear 0s infinite;
  animation-delay: 2000ms;
}

#preloader.loaded .line {
  opacity: 0;
  height: 100% !important;
}

#preloader.loaded .line:after {
  opacity: 0;
}

#preloader.loaded:before,
#preloader.loaded:after {
  animation: preloaderfinish 300ms ease-in-out 500ms forwards;
}


/*--------------------------------------------------------------
# Pricing Section
--------------------------------------------------------------*/
.gallery {
  margin-top: 40px;
}

.gallery .gallery-item {
  position: relative;
  overflow: hidden;
  border-radius: 10px;
}

.gallery .gallery-item img {
  transition: 0.3s;
}

.gallery .gallery-links {
  position: absolute;
  inset: 0;
  opacity: 0;
  transition: all ease-in-out 0.3s;
  background: rgba(179, 171, 171, 0.6);
  z-index: 3;
}

.gallery .gallery-links .preview-link,
.gallery .gallery-links .details-link {
  font-size: 20px;
  color: rgba(223, 213, 213, 0.5);
  transition: 0.3s;
  line-height: 1.2;
  margin: 30px 8px 0 8px;
}

.gallery .gallery-links .preview-link:hover,
.gallery .gallery-links .details-link:hover {
  color: #fff;
}

.gallery .gallery-links .details-link {
  font-size: 30px;
  line-height: 0;
}

.gallery .gallery-item:hover .gallery-links {
  opacity: 1;
}

.gallery .gallery-item:hover .preview-link,
.gallery .gallery-item:hover .details-link {
  margin-top: 0;
}

.gallery .gallery-item:hover img {
  transform: scale(1.5);
}

.glightbox-clean .gslide-description {
  background: #eaeff1;
}

.glightbox-clean .gslide-title {
  color: rgba(255, 255, 255, 0.8);
  margin: 0;
}

/*--------------------------------------------------------------
# Gallery Single Section
--------------------------------------------------------------*/
.gallery-single .portfolio-details-slider img {
  width: 100px;
}

.gallery-single .portfolio-details-slider .swiper-pagination .swiper-pagination-bullet {
  width: 12px;
  height: 12px;
  background-color: rgba(255, 255, 255, 0.7);
  opacity: 1;
}

.gallery-single .portfolio-details-slider .swiper-pagination .swiper-pagination-bullet-active {
  background-color: var(--color-primary);
}

.gallery-single .swiper-button-prev,
.gallery-single .swiper-button-next {
  width: 48px;
  height: 48px;
}

.gallery-single .swiper-button-prev:after,
.gallery-single .swiper-button-next:after {
  color: rgba(255, 255, 255, 0.8);
  background-color: rgba(0, 0, 0, 0.2);
  font-size: 24px;
  border-radius: 50%;
  width: 48px;
  height: 48px;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: 0.3s;
}

.gallery-single .swiper-button-prev:hover:after,
.gallery-single .swiper-button-next:hover:after {
  background-color: rgba(0, 0, 0, 0.6);
}

@media (max-width: 575px) {

  .gallery-single .swiper-button-prev,
  .gallery-single .swiper-button-next {
    display: none;
  }
}

.gallery-single .portfolio-info h3 {
  font-size: 22px;
  font-weight: 700;
  margin-bottom: 20px;
  padding-bottom: 20px;
  position: relative;
  font-family: var(--font-secondary);
}

.gallery-single .portfolio-info h3:after {
  content: "";
  position: absolute;
  display: block;
  width: 50px;
  height: 3px;
  background: var(--color-primary);
  left: 0;
  bottom: 0;
}

.gallery-single .portfolio-info ul {
  list-style: none;
  padding: 0;
  font-size: 15px;
}

.gallery-single .portfolio-info ul li {
  display: flex;
  flex-direction: column;
  padding-bottom: 15px;
}

.gallery-single .portfolio-info ul strong {
  text-transform: uppercase;
  font-weight: 400;
  color: #6b7075;
  font-size: 14px;
}

.gallery-single .portfolio-info .btn-visit {
  padding: 8px 40px;
  background: var(--color-primary);
  color: #fff;
  border-radius: 50px;
  transition: 0.3s;
}

.gallery-single .portfolio-info .btn-visit:hover {
  background: #2cbc85;
}

.gallery-single .portfolio-description h2 {
  font-size: 26px;
  font-weight: 700;
  margin-bottom: 20px;
  color: #fff;
  font-family: var(--font-secondary);
}

.gallery-single .portfolio-description p {
  padding: 0;
}

.gallery-single .portfolio-description .testimonial-item {
  padding: 30px 30px 0 30px;
  position: relative;
  background: var(--color-secondary);
  height: 100%;
  margin-bottom: 50px;
}

.gallery-single .portfolio-description .testimonial-item .testimonial-img {
  width: 90px;
  border-radius: 50px;
  border: 6px solid #2e3133;
  float: left;
  margin: 0 10px 0 0;
}

.gallery-single .portfolio-description .testimonial-item h3 {
  font-size: 18px;
  font-weight: bold;
  margin: 15px 0 5px 0;
  padding-top: 20px;
}

.gallery-single .portfolio-description .testimonial-item h4 {
  font-size: 14px;
  color: rgba(255, 255, 255, 0.6);
  margin: 0;
}

.gallery-single .portfolio-description .testimonial-item .quote-icon-left,
.gallery-single .portfolio-description .testimonial-item .quote-icon-right {
  color: #5bd9a9;
  font-size: 26px;
  line-height: 0;
}

.gallery-single .portfolio-description .testimonial-item .quote-icon-left {
  display: inline-block;
  left: -5px;
  position: relative;
}

.gallery-single .portfolio-description .testimonial-item .quote-icon-right {
  display: inline-block;
  right: -5px;
  position: relative;
  top: 10px;
  transform: scale(-1, -1);
}

.gallery-single .portfolio-description .testimonial-item p {
  font-style: italic;
  margin: 0 0 15px 0 0 0;
  padding: 0;
}


@keyframes lineincrease {
  0% {
    height: 0%;
  }

  100% {
    height: 100%;
  }
}

@keyframes linemove {
  0% {
    transform: translateY(200%);
  }

  100% {
    transform: translateY(-100%);
  }
}

@keyframes preloaderfinish {
  0% {
    width: 5 0%;
  }

  100% {
    width: 0%;
  }
}

@keyframes animate-loading {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}


/*--------------------------------------------------------------
# Services Section
--------------------------------------------------------------*/
.services .service-item {
  padding: 50px 30px;
  transition: all ease-in-out 0.4s;
  background: var(--color-secondary);
  height: 100%;
  overflow: hidden;
  z-index: 1;
}

.services .service-item:before {
  content: "";
  position: absolute;
  top: -200px;
  transition: all 0.3s;
  z-index: -1;
}

.services .service-item i {
  background: var(--color-primary);
  color: #fff;
  font-size: 24px;
  transition: 0.3s;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 56px;
  height: 56px;
  border-radius: 50%;
}

.services .service-item h4 {
  font-weight: 600;
  margin: 15px 0 0 0;
  transition: 0.3s;
  font-size: 20px;
}

.services .service-item h4 a {
  color: #fff;
}

.services .service-item p {
  line-height: 24px;
  font-size: 14px;
  margin: 15px 0 0 0;
}

.services .service-item:hover:before {
  background: var(--color-primary);
  right: 0;
  top: 0;
  width: 100%;
  height: 100%;
  border-radius: 0px;
}


.services .service-item:hover i {
  background: #fff;
  color: var(--color-primary);
}

/*--------------------------------------------------------------
# Pricing Section
--------------------------------------------------------------*/
.pricing {
  margin-top: 80px;
}

.pricing .pricing-item {
  border-bottom: 1px dashed #474a4d;
  width: 100%;
  height: 100%;
  padding: 0 0 15px 0;
}

.pricing .pricing-item h3 {
  margin: 0;
  font-size: 20px;
  font-weight: 500;
}

.pricing .pricing-item h4 {
  margin: 0;
  font-size: 16px;
}

@media (max-width: 990px) {
  .contactSVG {
    width: 50%; /* Make each column full width on smaller screens */
    margin-bottom: 20px; /* Add some bottom margin for spacing */
  }
}